Update screening webhook
curl --request PATCH \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": [
"accepted",
"rejected"
]
}
],
"url": "https://updated.web.site/path"
}
'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
payload = {
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": ["accepted", "rejected"]
}
],
"url": "https://updated.web.site/path"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookName: 'Updated webhook name',
events: [{kind: 'profile_status_updated', values: ['accepted', 'rejected']}],
url: 'https://updated.web.site/path'
})
};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'webhookName' => 'Updated webhook name',
'events' => [
[
'kind' => 'profile_status_updated',
'values' => [
'accepted',
'rejected'
]
]
],
'url' => 'https://updated.web.site/path'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
payload := strings.NewReader("{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Webhook created successfully",
"result": {
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match"
]
}
],
"url": "https://your.web.site/path"
}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
Update screening webhook
Updates fields on one screening webhook, identified by its ID.
PATCH
/
v2
/
webhooks
/
screening
/
{webhookId}
Update screening webhook
curl --request PATCH \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": [
"accepted",
"rejected"
]
}
],
"url": "https://updated.web.site/path"
}
'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
payload = {
"webhookName": "Updated webhook name",
"events": [
{
"kind": "profile_status_updated",
"values": ["accepted", "rejected"]
}
],
"url": "https://updated.web.site/path"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookName: 'Updated webhook name',
events: [{kind: 'profile_status_updated', values: ['accepted', 'rejected']}],
url: 'https://updated.web.site/path'
})
};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'webhookName' => 'Updated webhook name',
'events' => [
[
'kind' => 'profile_status_updated',
'values' => [
'accepted',
'rejected'
]
]
],
'url' => 'https://updated.web.site/path'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
payload := strings.NewReader("{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhookName\": \"Updated webhook name\",\n \"events\": [\n {\n \"kind\": \"profile_status_updated\",\n \"values\": [\n \"accepted\",\n \"rejected\"\n ]\n }\n ],\n \"url\": \"https://updated.web.site/path\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Webhook created successfully",
"result": {
"id": "ecc9b161-e6bf-48e4-816d-b13046a42eaa",
"webhookName": "Test webhook",
"webhookKey": "e7b3b2f0-8e17-40a5-a083-2234c6bc9dab",
"events": [
{
"kind": "profile_status_updated",
"values": [
"potential_match"
]
}
],
"url": "https://your.web.site/path"
}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Path Parameters
The unique identifier of the webhook
Body
application/json
Request body for updating a screening webhook